Add NetBSD support in Host::GetCurrentThreadID
ClosedPublic

Authored by krytarowski on Jan 29 2017, 2:52 PM.

Details

Summary

To retrieve the native thread ID there must be called _lwp_self().

Sponsored by <The NetBSD Foundation>

Diff Detail

Repository
rL LLVM
krytarowski created this revision.Jan 29 2017, 2:52 PM
clayborg accepted this revision.Jan 30 2017, 9:26 AM
This revision is now accepted and ready to land.Jan 30 2017, 9:26 AM
joerg accepted this revision.Jan 30 2017, 12:45 PM
labath accepted this revision.Jan 30 2017, 6:58 PM
krytarowski closed this revision.Jan 31 2017, 5:49 AM